IntegrationsShopify

Get one discount by its DiscountNode ID.

POST
/integrations/connections/{connection_id}/providers/shopify/discounts/get

Get one discount by its DiscountNode ID.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/shopify/discounts/get" \  -H "Content-Type: application/json" \  -d '{    "discount_id": "example"  }'
{  "id": "example",  "method": "code",  "kind": "schedule",  "title": "Approve supplier payment",  "code": "example",  "status": "ACTIVE",  "summary": "Extracts totals and due dates from supplier invoices.",  "discount_classes": [],  "starts_at": "example",  "ends_at": "example",  "usage_count": 0,  "usage_limit": 0,  "applies_once_per_customer": false,  "combines_with": {    "order_discounts": false,    "product_discounts": false,    "shipping_discounts": false  },  "created_at": "example",  "updated_at": "example"}